/**
 * @file
 * Custom JS for the JSON table field formatter.
 */
(function ($, Drupal, drupalSettings) {
  'use strict';
  /**
   * Attach behavior for JSON Fields.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.data_datatables = {
    attach(context) {
      $(context).find('.data-table').once('data-table')
        .each(function (index, element) {
          let fieldName = $(this).data('data-field');
          let config = drupalSettings.data_table[fieldName];
          $(this).DataTable(config);
        });
    }
  };

})(jQuery, Drupal, drupalSettings);
